<form name="picForm" role="form" novalidate (ngSubmit)="simpan()" #editForm="ngForm"  autocomplete="off">
    <h3>
        <span jhiTranslate="mpmApp.annual.home.createLabel">Request Annual Leave</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing" [routerLink]="['/', { outlets: { popup: ['purchasing-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.purchasing.home.createLabel">
            Create new Purchasing
            </span>
        </button> -->
    </h3>
    <br>
    <div class="row">
        <!-- <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_name">Nama</label>
                <input type="text" class="form-control" name="field_name" id="field_name"
                    [(ngModel)]="inName"/>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_NIK">NIK </label>
                <input type="text" class="form-control" name="NIK" id="field_NIK"
                    [(ngModel)]="inNIK"/>
            </div>
        </div> -->
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label mandatory" for="field_KdBarang">Nomor Induk Karyawan</label>
                <p-autoComplete [(ngModel)]="newPersonal" [suggestions]="filteredPersonal"
                (completeMethod)="filterBarangSingle($event)" [size]="32" name="nik"
                [minLength]="1" [filter]="true" filterBy="label" field="nik" 
                placeholder="Please Select Or Insert" [dropdown]="true"
                (onSelect)="selectBarang(true)"></p-autoComplete>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label mandatory" for="field_barang">Nama Karyawan</label>
                <p-autoComplete [(ngModel)]="newPersonal" [suggestions]="filteredPersonal"
                (completeMethod)="filterBarangSingle($event)" [size]="32" name="nama_lengkap"
                [minLength]="1" field="nama_lengkap" placeholder="Please Select Or Insert" 
                [dropdown]="true" (onSelect)="selectBarang(true)"></p-autoComplete>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_jabatan">Jabatan</label>
                <input type="text" class="form-control" name="jabatan" id="field_jabatan"
                    [(ngModel)]="inJabatan" [disabled]="true"/>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_jblReqCuti">Jumlah Cuti Yang Diminta</label>
                <input type="text" class="form-control" name="jblReqCuti" id="field_jblReqCuti"
                    [(ngModel)]="injblReqCuti"/>
            </div>
        </div>

        <div class="col-md-12">
            <label class="form-control-label"  for="field_insFroms">Pelaksanaan Cuti</label>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_dtStartTmln">Mulai Dari </label>
                <div class="input-group">
                    <p-calendar inputId="field_dtStart" name="input_dtStart" [(ngModel)]="dtStart" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                        dateFormat="dd-mm-yy"
                        [showTime]="true"
                        [showIcon]="true"></p-calendar>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_dtFinishTmln">Sampai </label>
                <div class="input-group">
                    <p-calendar inputId="field_dtFinish" name="input_dtFinish" [(ngModel)]="dtFinish" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                        dateFormat="dd-mm-yy"
                        [showTime]="true"
                        [showIcon]="true"></p-calendar>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_approved">Approval</label>
                <input type="text" class="form-control" name="approved" id="field_approved"
                    [(ngModel)]="inApproved"/>
            </div>
        </div>
    </div>

    <div class="ui-g-12">
        <hr>
        <div style="text-align: right">
            <button pButton type="submit"
                label="Simpan"
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
            <button pButton class="btn btn-primary btn-sm float-right" 
                (click)="back()"
                label="Kembali"
                class="ui-button-danger flat-label-button">
            </button>
        </div>
    </div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>

</form>
